<!doctype html>
<html lang="en">
  <head>
    <style>
      .inputBox {
        display: block;
        margin: 0 auto;
        width: 80%;   
        height: 5vh;
        border-radius: 10px;
        border-style: solid;
        padding: 1vh;
      }
      .submit_button {
        display: block;
        margin: 20px auto;
        width: 20%;   
        height: 7vh;
        border-radius: 10px;
        border-style: solid;
        background-color: #ff9900;
        color: rgb(0, 0, 0); 
        text-align: center;
        font-size: 16px;
        cursor: pointer;
      }
      .submit_button:hover {
        background-color: #eaef55;
      }
      .submit_button.processing {
        background-color: #fcf400; /* Orange background when processing */
      }
      .message {
        display: none;
        margin: 0 auto;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 10px;
        width: 80%;
        text-align: center;
        background-color: #f4f4f4;
      }
    </style>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>User Input Form</title>
  </head>
  <body>
    <div>
      <h1>Enter PDF Url's</h1>
      <form id="urlForm" method="POST" action="/result">
        <input placeholder="Please Enter the URL Input" class="inputBox" type="text" id="userInput" name="userInput" required>
        <br>
        <button type="submit" class="submit_button" id="submitButton">Submit</button>
      </form>
      <div id="message" class="message"></div>
    </div>
    <script>
      document.getElementById('urlForm').addEventListener('submit', async function(event) {
        event.preventDefault();
        const form = event.target;
        const formData = new FormData(form);
        const submitButton = document.getElementById('submitButton');
        submitButton.classList.add('processing');    
        const response = await fetch(form.action, {
          method: form.method,
          body: formData,
        });
        const result = await response.text();
        const messageDiv = document.getElementById('message');
        messageDiv.innerHTML = result;
        messageDiv.style.display = 'block';
        submitButton.classList.remove('processing');
        setTimeout(() => {
          messageDiv.style.display = 'none';
        }, 5000);
      });
    </script>
  </body>
</html>